summaryrefslogtreecommitdiff
path: root/src/pl/tcl
diff options
context:
space:
mode:
authorPeter Eisentraut <peter_e@gmx.net>2000-07-01 15:02:31 +0000
committerPeter Eisentraut <peter_e@gmx.net>2000-07-01 15:02:31 +0000
commit191870388d4827cac897e6dd1da217ba456b350f (patch)
tree0f27f06c8b77f81f1203ce80dd7d06dce92d6c8c /src/pl/tcl
parent99212a48476448bfd38841730e9d6ed945c2a0d0 (diff)
downloadpostgresql-191870388d4827cac897e6dd1da217ba456b350f.tar.gz
A little bit of clean-up/bug fix in Tcl build. Handle gracefully cases
where someone wants to build these but hasn't configured for Tcl.
Diffstat (limited to 'src/pl/tcl')
-rw-r--r--src/pl/tcl/Makefile14
-rw-r--r--src/pl/tcl/mkMakefile.tcldefs.sh (renamed from src/pl/tcl/mkMakefile.tcldefs.sh.in)16
2 files changed, 11 insertions, 19 deletions
diff --git a/src/pl/tcl/Makefile b/src/pl/tcl/Makefile
index b20a74f3d2..decfca5d6e 100644
--- a/src/pl/tcl/Makefile
+++ b/src/pl/tcl/Makefile
@@ -2,7 +2,7 @@
#
# Makefile for the pltcl shared object
#
-# $Header: /cvsroot/pgsql/src/pl/tcl/Makefile,v 1.19 2000/06/30 16:10:56 petere Exp $
+# $Header: /cvsroot/pgsql/src/pl/tcl/Makefile,v 1.20 2000/07/01 15:02:31 petere Exp $
#
#-------------------------------------------------------------------------
@@ -108,16 +108,8 @@ all install:
echo "*****"
endif
-
Makefile.tcldefs: mkMakefile.tcldefs.sh
- $(SHELL) $<
-
-mkMakefile.tcldefs.sh: mkMakefile.tcldefs.sh.in $(top_builddir)/config.status
- cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= ./config.status
+ $(SHELL) $< '$(TCL_CONFIG_SH)' '$@'
-
-clean:
+clean distclean maintainer-clean:
rm -f $(INFILES) *.o Makefile.tcldefs
-
-distclean maintainer-clean: clean
- rm -f mkMakefile.tcldefs.sh
diff --git a/src/pl/tcl/mkMakefile.tcldefs.sh.in b/src/pl/tcl/mkMakefile.tcldefs.sh
index 79e456b3b5..f9faef2fdc 100644
--- a/src/pl/tcl/mkMakefile.tcldefs.sh.in
+++ b/src/pl/tcl/mkMakefile.tcldefs.sh
@@ -1,23 +1,23 @@
#! /bin/sh
-if [ ! -r @TCL_CONFIG_SH@ ]; then
- echo "@TCL_CONFIG_SH@ not found"
- echo "I need this file! Please make a symbolic link to this file"
- echo "and start make again."
- exit 1
+# $1 = path to tclConfig.sh ; $2 = output file
+
+if test x"$1" = x ; then
+ echo "$0: No tclConfig.sh file specified. Did you use \`configure --with-tcl'?" 1>&2
+ exit 1
fi
# Source the file to obtain the correctly expanded variable definitions
-. @TCL_CONFIG_SH@
+. "$1"
# Read the file a second time as an easy way of getting the list of variable
# definitions to output.
-cat @TCL_CONFIG_SH@ |
+cat "$1" |
egrep '^TCL_|^TK_' |
sed 's/^\([^=]*\)=.*$/\1/' |
while read var
do
eval echo "\"$var = \$$var\""
- done >Makefile.tcldefs
+ done > "$2"
exit 0